NewWacht Bench is live — AI-assisted development for Wacht

List Thread Task Graphs

GET
/ai/threads/{thread_id}/task-graphs

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

thread_id*string

Query Parameters

cursor?string
limit?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/ai/threads/string/task-graphs"
{
  "status": 0,
  "message": "string",
  "data": {
    "data": [
      {
        "graph": {
          "id": "string",
          "deployment_id": "string",
          "thread_id": "string",
          "board_item_id": "string",
          "version": 0,
          "status": "string",
          "metadata": {
            "property1": null,
            "property2": null
          },
          "created_at": "string",
          "updated_at": "string"
        },
        "nodes": [
          {
            "id": "string",
            "graph_id": "string",
            "board_item_id": "string",
            "title": "string",
            "description": "string",
            "status": "string",
            "priority": 0,
            "owner_agent_id": "string",
            "assigned_thread_id": "string",
            "retry_count": 0,
            "max_retries": 0,
            "input": {
              "property1": null,
              "property2": null
            },
            "output": {
              "property1": null,
              "property2": null
            },
            "error": {
              "property1": null,
              "property2": null
            },
            "lease_owner": "string",
            "lease_until": "string",
            "completed_at": "string",
            "created_at": "string",
            "updated_at": "string"
          }
        ],
        "edges": [
          {
            "graph_id": "string",
            "from_node_id": "string",
            "to_node_id": "string",
            "dependency_type": "string",
            "created_at": "string"
          }
        ],
        "summary": {
          "graph_id": "string",
          "graph_status": "string",
          "total_nodes": 0,
          "pending_nodes": 0,
          "ready_nodes": 0,
          "in_progress_nodes": 0,
          "completed_nodes": 0,
          "failed_nodes": 0,
          "cancelled_nodes": 0,
          "progress_percent": 0
        }
      }
    ],
    "limit": 0,
    "has_more": true,
    "next_cursor": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}